<?php 
require('../conexion.php');
    $i=0;
    # Obtener los datos de la semana actual y de la anterior para mas tarde poder compararlos
    /* $result2 = query("SELECT * FROM vw_ganancias_semanales ORDER BY semana DESC LIMIT 2;"); */

    $result2 = query("SELECT WEEK(NOW()) semana_actual, gs.* FROM vw_ganancias_semanales gs
                WHERE semana = WEEK(NOW()) OR semana = WEEK(NOW())-1 
                ORDER BY semana DESC LIMIT 2;");
        
    while($row = mysqli_fetch_assoc($result2)){
        $rowdata[$i] = $row;
        $i++;
    }

    if ($i>0){
        $res =  json_encode($rowdata,JSON_UNESCAPED_UNICODE);
    } else {
        $res =  '[{"semana":"0"}]';	
    }
    echo $res;
?>
